//Define note names
typedef enum {
  C3, Cd3, D3, Dd3, E3, F3, Fd3, G3, Gd3, A3, Ad3, B3,
  C4, Cd4, D4, Dd4, E4, F4, Fd4, G4, Gd4, A4, Ad4, B4,
  C5, Cd5, D5, Dd5, E5, F5, Fd5, G5, Gd5, A5, Ad5, B5,
  C6, Cd6, D6, Dd6, E6, F6, Fd6, G6, Gd6, A6, Ad6, B6,
  C7, Cd7, D7, Dd7, E7, F7, Fd7, G7, Gd7, A7, Ad7, B7,
  C8, Cd8, D8, Dd8, E8, F8, Fd8, G8, Gd8, A8, Ad8, B8,
  SILENCE
} pitch;

const UWORD frequencies[] = { //values based on a formula used by the GB processor
  44, 156, 262, 363, 457, 547, 631, 710, 786, 854, 923, 986,
  1046, 1102, 1155, 1205, 1253, 1297, 1339, 1379, 1417, 1452, 1486, 1517,
  1546, 1575, 1602, 1627, 1650, 1673, 1694, 1714, 1732, 1750, 1767, 1783,
  1798, 1812, 1825, 1837, 1849, 1860, 1871, 1881, 1890, 1899, 1907, 1915,
  1923, 1930, 1936, 1943, 1949, 1954, 1959, 1964, 1969, 1974, 1978, 1982,
  1985, 1988, 1992, 1995, 1998, 2001, 2004, 2006, 2009, 2011, 2013, 2015,
  0
};

enum duration_note
{
    LONG = 0x84U,
    SHORT = 0x81U,
    LONG_LONG = 135
};

//Define Instrument names
//Instruments should be confined to one channel
//due to different registers used between ch1, 2, 3, 4
typedef enum {
	NONE,
	MELODY,  //channel 1
	HARMONY, //channel 1
	SNARE,   //channel 2
        WAVE,    //channel 3
	CYMBAL   //channel 4
} instrument;

//Define a note as having a pitch, instrument, and volume envelope
typedef struct {
	instrument i;
	pitch p;
	UINT16 env;
} note;

const note song_menu_ch1[] = { //notes to be played on channel 1
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
	{MELODY, E5, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {MELODY, F5, SHORT},
        {MELODY, E5, SHORT},
        {MELODY, D5, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {MELODY, C5, SHORT},
        {MELODY, D5, SHORT},
        {MELODY, A4, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {MELODY, G4, SHORT},
        {MELODY, A4, SHORT},
        {MELODY, B4, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {MELODY, G5, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {MELODY, E5, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {MELODY, F5, SHORT},
        {MELODY, E5, SHORT},
        {MELODY, F5, SHORT},
        {MELODY, G5, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {MELODY, A5, SHORT},
        {MELODY, G5, SHORT},
        {MELODY, B5, SHORT},
        {MELODY, A5, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {MELODY, G5, SHORT},
        {MELODY, A5, SHORT},
        {MELODY, D6, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {MELODY, E6, LONG_LONG},
};

const note song_menu_ch2[] = { //notes to be played on channel 1
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
	{SNARE, C5, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {SNARE, Ad4, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {SNARE, F4, LONG_LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {SNARE, E4, SHORT},
        {SNARE, F4, SHORT},
        {SNARE, G4, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {SNARE, D5, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {SNARE, C5, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {SNARE, D5, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {SNARE, F5, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {SNARE, E5, SHORT},
        {SNARE, F5, SHORT},
        {SNARE, G5, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {SNARE, G5, LONG},
};

const note song_menu_ch4[] = { //notes to be played on channel 1
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
	{CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
        {NONE, SILENCE, LONG},
        {CYMBAL, Dd5, SHORT},
};

const note song_gameover_ch1[] = {
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, G5, SHORT},
    {MELODY, C6, SHORT},
    {MELODY, F5, SHORT},
    {MELODY, G5, SHORT},
    {MELODY, Gd5, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, Dd5, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, C5, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, C7, SHORT},
    {MELODY, C8, SHORT},
};

const note song_gameover_ch2[] = {
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {SNARE, C3, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {SNARE, Cd3, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {SNARE, Dd3, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {SNARE, C3, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
};

const note song_gameplay_ch1[] = {
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, F5, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, G5, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 1 - 6
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, C6, SHORT},
    {NONE, SILENCE, LONG},
    
    {MELODY, G6, SHORT},
    {NONE, SILENCE, LONG},
    {MELODY, C7, SHORT},
    {NONE, SILENCE, LONG},
    
    {MELODY, G7, SHORT},
    {NONE, SILENCE, LONG},
    {MELODY, Ad7, SHORT},
    {MELODY, C8, SHORT},
    
    {MELODY, Ad7, SHORT},
    {NONE, SILENCE, LONG},
    {MELODY, G7, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 2 - 7
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, E6, SHORT},
    {MELODY, D6, SHORT},
    
    {MELODY, C6, SHORT},
    {NONE, SILENCE, LONG},
    {MELODY, D6, SHORT},
    {NONE, SILENCE, LONG},
    
    {MELODY, E6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, G6, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 3 - 8
    {MELODY, A6, SHORT},
    {NONE, SILENCE, LONG},
    {MELODY, G6, SHORT},
    {NONE, SILENCE, LONG},
    
    {MELODY, E6, SHORT},
    {NONE, SILENCE, LONG},
    {MELODY, C6, SHORT},
    {NONE, SILENCE, LONG},
    
    {MELODY, D6, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, C6, SHORT},
    {MELODY, D6, SHORT},
    //#################### 4 - 9
    {MELODY, E6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, E6, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, C6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, G6, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, E6, LONG_LONG},
    {NONE, SILENCE, LONG},
    //##################### 5 - 10
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, E6, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, C6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, E6, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, D6, LONG_LONG},
    {NONE, SILENCE, LONG},
    //##################### 6 - 11
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, D6, SHORT},
    {MELODY, E6, SHORT},
    //##################### 7 - 12
    {MELODY, G6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, G6, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, D6, SHORT},
    {MELODY, E6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, D6, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 8 - 13
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, D6, SHORT},
    
    {MELODY, E6, SHORT},
    {NONE, SILENCE, LONG},
    {MELODY, D7, SHORT},
    {NONE, SILENCE, LONG},
    
    {MELODY, C7, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, C7, SHORT},
    {MELODY, C7, SHORT},
    //#################### 9 - 14
    {MELODY, D7, SHORT},
    {NONE, SILENCE, LONG},
    {MELODY, C7, SHORT},
    {NONE, SILENCE, LONG},
    
    {MELODY, A6, SHORT},
    {NONE, SILENCE, LONG},
    {MELODY, G7, SHORT},
    {NONE, SILENCE, LONG},
    
    {MELODY, E7, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {MELODY, E7, SHORT},
    {MELODY, D7, SHORT},
    {MELODY, E7, SHORT},
    //#################### 10 - 15
    {MELODY, F7, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, C7, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, F7, LONG},
    {NONE, SILENCE, LONG},
    //##################### 11 - 16
    {MELODY, E7, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, E7, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, D7, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, C7, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, D7, LONG_LONG},
    {NONE, SILENCE, LONG},
    //##################### 12 - 17
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {MELODY, D7, SHORT},
    {MELODY, C7, SHORT},
    {MELODY, E7, SHORT},
    //#################### 13 - 18
    {MELODY, F7, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, E7, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, G7, LONG_LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 14 - 19
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, A5, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, E6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, G6, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, E6, LONG_LONG},
    {NONE, SILENCE, LONG},
    //##################### 15 - 20
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, E6, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, B6, SHORT},
    {MELODY, C7, LONG_LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, A6, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, G6, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, E6, LONG},
    {NONE, SILENCE, LONG},
    //#################### 16 - 21
    {MELODY, G6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, F6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, D6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, A6, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, G6, LONG_LONG},
    {NONE, SILENCE, LONG},
    //###################### 17 - 22
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, A5, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, G5, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, E5, LONG},
    {NONE, SILENCE, LONG},
    //#################### 18 - 23
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, A5, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, E6, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, D6, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, C6, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, D6, SHORT},
    {MELODY, E6, LONG},
    //#################### 19 - 24
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, D6, LONG_LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, C6, LONG_LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, E6, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {MELODY, F6, LONG},
    {NONE, SILENCE, LONG},
    //#################### 20 - 25
    {MELODY, G6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, A6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //##################### 21 - 26
    {MELODY, B6, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, C5, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {MELODY, D5, LONG_LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
};

const note song_gameplay_ch2[] = {
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 1
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 2
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 3
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 4
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 5
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //################### 6 - 11
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, Ad4, SHORT},
    {SNARE, Ad4, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, Ad4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, Ad4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, Ad4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 7 - 12
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, A4, SHORT},
    {SNARE, A4, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, A4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 8 - 13
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 9 - 14
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 10 - 15
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 11 - 16
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 12 - 17
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, Ad4, SHORT},
    {SNARE, Ad4, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, Ad4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, Ad4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, Ad4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 13 - 18
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, A3, SHORT},
    {SNARE, A3, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, A3, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 14 - 19
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {SNARE, F4, SHORT},
    
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 15 - 20
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 16 - 21
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {SNARE, F4, SHORT},
    
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 17 - 22
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 18 - 23
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {SNARE, F4, SHORT},
    
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, F3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, F4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 19 - 24
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {SNARE, C5, SHORT},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, C4, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, C5, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 20 - 25
    {SNARE, G3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, G4, SHORT},
    {SNARE, G4, SHORT},
    
    {SNARE, G3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, G4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, G3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, G4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, G3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, G4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 21 - 26
    {SNARE, G3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, G4, SHORT},
    {SNARE, G4, SHORT},
    
    {SNARE, G3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, G4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, G3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, G4, SHORT},
    {NONE, SILENCE, LONG},
    
    {SNARE, G3, SHORT},
    {NONE, SILENCE, LONG},
    {SNARE, G4, SHORT},
    {NONE, SILENCE, LONG},
};

const note song_gameplay_ch4[] = {
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 1 - 6
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    //#################### 2 - 7
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 3 - 8
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 4 - 9
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 5 - 10
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 6 - 11
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 7 - 12
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 8 - 13
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 9 - 14
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 10 - 15
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 11 - 16
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 12 - 17
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 13 - 18
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 14 - 19
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 15 - 20
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 16 - 21
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 17 - 22
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 18 - 23
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 19 - 24
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C3, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 20 - 25
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    //#################### 21 - 26
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    
    {CYMBAL, C4, SHORT},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    
    {NONE, SILENCE, LONG},
    {NONE, SILENCE, LONG},
    {CYMBAL, C4, SHORT},
    {NONE, SILENCE, LONG},
};
